%define	name	OpenSceneGraph
%define	version	0.9.4
%define	release	2mdk

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.openscenegraph.org
BuildRequires:	OpenProducer libMesaGLU-devel zlib-devel libpng-devel
BuildRequires:	libjpeg-devel libtiff-devel libungif-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time 
visualization. Uses range from visual simulation, scientific modeling, virtual 
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, protability, and extensibility

%prep
%setup -q

%build
%make CXX="g++ $RPM_OPT_FLAGS -fPIC"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall INST_LOCATION=$RPM_BUILD_ROOT%{_prefix}
%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_libdir}/libosg*.so
%dir %{_libdir}/osgPlugins
%{_libdir}/osgPlugins/osgdb*.so
%{_includedir}/*
%{_datadir}/%{name}
%doc AUTHORS.txt ChangeLog INSTALL.txt LICENSE.txt NEWS.txt README.txt
%doc doc

%changelog
* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.4-2mdk
- fixed buildrequires
- fixed file permissions
- added docs

* Wed Apr 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.4-1mdk
- initial mdk release
